.releves .panneaux {
	display : flex ;
	flex-direction: row ;
	flex-wrap: wrap ;
	justify-content:space-evenly;
	align-items: flex-start;
	row-gap : 1em ;
}

.panneau { 
	border-radius : 0.4em ;
	user-select: none;
	position: relative;
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	background-color: var(--genIndex-panneau-bg);
	color: var(--genIndex-panneau-fg);
	border: 1px solid var(--genIndex-panneau-border);
	font-weight: 200;
}

.panneau.forPicture { /* Ajouté le 01/07/2025 : lorsqu'on génère un panneau pour le convertir en canvas, on le met dans $('body'), du coup rien ne limitait sa taille, c'était bizarre */
	max-width: 40%;
	position : absolute ;
	top : 5000px ;
}

.liste > .panneau {
	min-width: 25vw;
	max-width : 35vw ;
}

.panneau .noAcess, .panneau .partialAccess {
	margin: auto;
	margin-top: 1.5em;
	padding: 0.6em;
	display: block;
	position : absolute ;
	bottom : 0.2em ;
	right : 1em ;
	font-size : 10px ;
}

.panneau .headerActe { /* changed */
	padding : 0.5em 0.4em 0 0.4em ;
	box-sizing : border-box ;
}

.panneau.specialPanneau {
	border: 2px solid var(--genIndex-errorMsg);
}

.releves .panneaux .panneau {
	width : 30% !important ;
}

.panneau > .buttonsBar { /* changed */
	margin-bottom: 0.5em;
	flex-wrap: wrap;
	column-gap: 7px;
}

body.useButtons .buttonsBar {
	max-width: 95%;
	white-space: break-spaces;
}

body.useButtons .buttonsBar .actionButton {
	margin-right: 3px;
}

.bapteme, .deces, .tombe, .testament, .contrat, .mariage {
	margin-top : 0.5em;
	margin-bottom : 0.5em;
}

.panneau header { /* changed */
	display:flex ;
	flex-direction: row ;
	justify-content : space-between;
	align-items : center ;
	padding : 0.2em 0.4em 0.2em 0.4em ;
	font-weight : 900 ;
	color : var(--genIndex-panneau-header-bg) ;
	width: 100%;
	border-top-left-radius: 0.4em;
	border-top-right-radius: 0.4em;
	box-sizing: border-box;
}

.panneau[typeActe="B"] header { /* Baptême */
	background-color: var(--genIndex-panneau-B-header-bg);
}

.panneau[typeActe="CM"] header { /* Contrat de Mariage */
	background-color: var(--genIndex-panneau-CM-header-bg);
}

.panneau[typeActe="M"] header { /* Mariage */
	background-color: var(--genIndex-panneau-M-header-bg); 
}

.panneau[typeActe="T"] header { /* Testament */
	background-color: var(--genIndex-panneau-T-header-bg); 
}

.panneau[typeActe="S"] header { /* Sépulture */
	background-color: var(--genIndex-panneau-S-header-bg); 
}

.panneau[typeActe="C"] header { /* Cimetière */
	background-color: var(--genIndex-panneau-C-header-bg); 
}

.panneau[typeActe="AN"] header { /* Acte divers */
	background-color: var(--genIndex-panneau-AN-header-bg); 
}

.panneau[typeActe="FRN"] header { /* Page de Registre Divers (hors acte) */
	background-color: var(--genIndex-panneau-FRN-header-bg);
}

.panneau[typeActe="R"] header { /* registre BSM */
	background-color: var(--genIndex-panneau-R-header-bg) ;
}

.panneau[typeActe="D"] header { /* Document divers */
	background-color: var(--genIndex-panneau-D-header-bg);
}

/* .panneau:nth-child(2n+1) {
var(--genIndex-popup-bg)
} */

.symbolTypeActe {
	border-radius: 1.2rem;
	display: flex;
	font-family: sans-serif;
	font-weight: 700;
	background-color: var(--genIndex-color);
	font-size: 1.1rem;
	width: 2rem;
	height: 1.8rem;
	justify-content: center;
	align-items: center;
	padding: 0.2em 0 0 0;
	border: 2px solid var(--genIndex-color);
	color: var(--genIndex-body-bg);
}

td > .symbolTypeActe {
	width: 1.2rem;
	height: 1rem;
	font-size: 0.9rem;
	border-radius: 1rem;
	display: inline-flex;
	border : 1px solid var(--genIndex-color);
	color : var(--genIndex-color);
}

tr[typeActe="B"] td > .symbolTypeActe { /* Baptême */
	background-color: var(--genIndex-panneau-B-header-bg);
}

tr[typeActe="CM"] td > .symbolTypeActe { /* Contrat de Mariage */
	background-color: var(--genIndex-panneau-CM-header-bg);
}

tr[typeActe="M"] td > .symbolTypeActe { /* Mariage */
	background-color: var(--genIndex-panneau-M-header-bg); 
}

tr[typeActe="T"] td > .symbolTypeActe { /* Testament */
	background-color: var(--genIndex-panneau-T-header-bg); 
}

tr[typeActe="S"] td > .symbolTypeActe { /* Sépulture */
	background-color: var(--genIndex-panneau-S-header-bg); 
}

tr[typeActe="C"] td > .symbolTypeActe { /* Cimetière */
	background-color: var(--genIndex-panneau-C-header-bg); 
}

tr[typeActe="AN"] td > .symbolTypeActe { /* Acte divers */
	background-color: var(--genIndex-panneau-AN-header-bg); 
}

tr[typeActe="FRN"] td > .symbolTypeActe { /* Page de Registre Divers (hors acte) */
	background-color: var(--genIndex-panneau-FRN-header-bg);
}

tr[typeActe="R"] td > .symbolTypeActe{ /* registre BSM */
	background-color: var(--genIndex-panneau-R-header-bg) ;
}

tr[typeActe="D"] td > .symbolTypeActe { /* Document divers */
	background-color: var(--genIndex-panneau-D-header-bg);
}

.panneau header span.nom {
	max-width: 15em;
	display: inline-block;
	text-overflow: ellipsis;
	white-space: nowrap;
	overflow: hidden;
}
.panneau[typeActe="D"] header span.nom {
	max-width: 23em;
}
.panneau header .smallButton {
	top : 0 !important ;
}

.panneau table {
	border-collapse : collapse;
	width : 90% ;
	margin-left : 5% ;
}

.panneau table:not(.soldatBleuet) td, .panneau table:not(.soldatBleuet) th {
	border : 1px solid varvar(--genIndex-secondary-text-border) ;
	text-align : center ;
	vertical-align : top ;
	/* width : 50% ;  modifié le 01/07/2025 : avec Width 50%, les cellules des lignes de relevé avec 4 colonnes (père+mère de chaque époux) avaient des largeurs différentes */
	max-width: 50%;
}

.panneau table.table4parents td, .panneau table.table4parents th {
	width : 25% !important ;
}

.panneau .observations {
	font-size : 90% ;
	width : 90% ;
	margin : auto ;
	margin-top: 0.4em;
	text-overflow: ellipsis;
	overflow: hidden;
}

.panneau .observations .temoins ol {
	margin-top: 0;
	margin-bottom: 0.2em;
}

.panneau .observations br {
	margin: 0 0 0.2em 0;
}

.panneau[typeActe="R"] .observations {
	max-height: 7em;
	overflow: hidden auto;
	font-weight: 400;
}

.panneau .saisieComment, .panneau .saisieCorrection {
	width : 99%;
	margin : auto ;
	text-align: justify;
	font-size : 90%;
	margin-top : 0.4em;
	display : none ;
}

.panneau .saisieCorrection input[type="file"] {
	max-width : 20vw ;
}

.panneau .saisieComment fieldset, .panneau .saisieCorrection fieldset {
	width : 100% ;
	box-sizing: border-box;
	margin: 0 !important;
}

.panneau .saisieComment textarea, .panneau .saisieCorrection textarea {
	width: 90%;
	margin-left: 5%;
	height: 5em;
}

.panneau .comment, .panneau .correction {
	text-align: justify;
	margin : 0.2em 0.4em 0.2em 0.4em ;
	font-size : 90%;
}

.panneau .comment .textComment {
	display: block;
	padding-left: 1.8em;
}

.panneau .comment:nth-child(2n+1), .panneau .correction:nth-child(2n+1) {
	background-color : var(--genIndex-popup-bg) ;
}

.panneau .comments, .panneau .corrections {
	border: 1px solid var(--genIndex-secondary-text-border);
	margin-top: 0.8em;
}

.panneau .comments a, .panneau .observations a {
	text-decoration: underline;
	cursor : pointer ;
	color : var(--genIndex-hyperlink);
}

.panneau .comment textarea, .correction textarea {
	width : 90%;
	margin-left : 5% ;
	height : 5em;
}

.panneau .gender, #fonctionsAvancees .gender {
	background-color: var(--genIndex-color);
	padding: 0.3em;
	border-radius: 0.8em;
	font-size: 80%;
	color: white ;
	width: 1em !important;
	display: inline-block;
	text-align: center;
}

.panneau .gender.femme, #fonctionsAvancees .gender.femme {
	background-color : var(--genIndex-female-icon) ;
}
.panneau .gender.homme, #fonctionsAvancees .gender.homme {
	background-color : var(--genIndex-male-icon) ;
}
.panneau .gender.inconnu, #fonctionsAvancees .gender.inconnu {
	background-color : var(--genIndex-unknown-icon) ;
}

.panneau .indication {
	font-family: sans-serif;
	font-size: 80%;
	padding: 0 0.2em;
}

.panneau[typeActe="AD"], .panneau[typeActe="PAD"] {
	max-height : 30em ;
}

.panneau .dateRegistreDivers, .panneau .communeRegistreDivers {
	color: var(--genIndex-secondary-text);
	font-size: 80%;
	position: relative;
	top: -1.9%;
	margin-left: 1em;
	font-family: sans-serif;
	font-weight: 200;
}

.panneau[typeActe="AN"] label {
	display: inline-block;
	width: 4.5em;
	margin-right: 0.4em;
	text-align: right;
	font-weight: 200;
}

.panneau[typeActe="R"] label {
	display: inline-block;
	width: 6em;
	margin-right: 0.4em;
	text-align: right;
	font-weight: 200;
}

.panneau[typeActe="AN"] .transcription {
	text-align: justify !important;
	min-width: 0 !important;
	max-width: none !important;
	max-height: none !important;
	overflow: hidden !important;
	display: inline-block !important;
	padding-top: 1em !important;
	font-family: sans-serif;
	font-size: 90%;
	line-height: 140%;
	padding-right: 0.4em;
}

.bodyActe { /* changed */
	padding : 0 0.4em ;
	box-sizing: border-box;
}

body.limiterHauteurPanneau .bodyActe {
	max-height: 17em;
	overflow: hidden auto;
}

.bodyActe.overflowHidden {
	max-height :none !important;
	overflow-y : hidden !important;
}

.liste .bodyActe, .liste .bodyActe.overflowHidden {
	max-height: 60vh !important;
	overflow: hidden auto !important;
}

.limitedHeight .comments .comment {
	padding-bottom : 1em ;
}

.panneau .bodyActe table.nbReleves  td {
	width : 25% ;
	padding : 0 0.4em;
}

.panneau .bodyActe table.nbReleves tr:NOT(:first-child) td {
	text-align : right;
}

.panneau .photos {
  display: flex;
  justify-content: space-around;
  align-items: flex-start;
}

.panneau .photos img {
	max-width: 30%;
	max-height: 3em;
	transform-origin : center center ;
	z-index : 1000 ;
}

.panneau .photos img:hover {
	transform : scale(2.0) ;
	z-index : 1500 ;
}

.panneau .descrRegistre {
	font-size : 70% ;
	color : var(--genIndex-secondary-text) ;
	text-align : justify ;
	margin-top : 1em ;
}

.panneau .descrRegistre:hover {
	font-size : 100% ;
}

.panneau .buttonsBar i:not(:first-child) {
	font-size : 120% ;
}

.panneau .imagesOfDocument {
	text-align : center ;
	max-width : 100% ;
	overflow-y : hidden ;
	overflow-x : auto ;
	white-space: nowrap;
	margin-top: 0.5em;
}

.panneau .imagesOfDocument img {
	max-width: 10em;
	max-height: 8em;
	cursor : pointer ;
	border: 0.5px solid var(--genIndex-secondary-text-border);
}

.panneau .imagesOfDocument img:not(:first-child) {
	margin-left : 1em ;
}

.imageAgrandie {
	position: fixed ;
	top: 6.5em;
	text-align : center ;
	border : 2px solid var(--genIndex-color) ;
	background-color: var(--genIndex-shadowColor);
	padding: 0 1em;
	left: 50%;
	transform: translate(-50%, 0);
	z-index: 99999;
}

.imageAgrandie header {
	/* padding-right : 1em ; */
	padding: 0.2em 0.5em;
	box-sizing: border-box;
	display: flex;
	justify-content: space-around;
	flex-wrap: nowrap;
}

body.fullScreen .imageAgrandie header {
	justify-content: center;
}

.imageAgrandie section {
	max-height: calc(-10em + 100vh);
	max-width: 90vw;
	overflow: auto;
}

body.fullScreen .imageAgrandie section {
	max-width: 97vw;
	max-height: 95vh;
}

.imageAgrandie img {
	max-width: 60vw;
	max-height : calc(100vh - 11em) ;
}

body.fullScreen .imageAgrandie img {
	max-width: 99.9vw;
	max-height: none !important;
}

.titreCollection, .titreRecueil {
	font-size: 80%;
	font-family: sans-serif;
}
.titreDocument {
	font-weight: 900;
}


.imageAgrandie div.actions {
	height : 1.4em ;
	display : flex ;
	padding : 0 0.5em ;
	justify-content : space-evenly ;
	flex-wrap: nowrap ;
	align-items : center ;
	border-radius: 0.3em;
	border : 0.5px solid var(--genIndex-color) ;
	background-color : var(--genIndex-body-bg) ;
	margin: 0 0.2em;
}

.imageAgrandie div.actions > * {
	margin : 0 0.15em ;
}
.imageAgrandie .separator {
	display: inline-block;
	width: 1px;
	height: 1.4em;
	margin: 0;
	border-left : 1px solid var(--genIndex-color) ;
}

.panneaux .panneau .association {
	display : none ;
}

.panneaux[modeAssociation="AN"] .panneau[typeActe="AN"] .association {
	display : inline ;
}

.panneaux[modeAssociation="Releve"] .panneau[typeActe="CM"] .association, .panneaux[modeAssociation="Releve"] .panneau[typeActe="T"] .association {
	display : inline ;
}

.panneaux .panneau .searchResult {
	color: var(--genIndex-secondary-text-border);
}